=== debian/changelog ===
octave-doctest (0.6.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:16 -0200

octave-doctest (0.6.1-1) unstable; urgency=low

  * Initial release (closes: #898313)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 08:30:38 -0300
