=== debian/control ===
Source: octave-doctest
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/doctest/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-doctest.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-doctest
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-doctest
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: documentation tests for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
