=== debian/watch ===
version=3
http://sf.net/octave/doctest-(.+)\.tar\.gz
