## octave-doctest 0.7.0

=== DESCRIPTION ===
Name: doctest
Version: 0.7.0
Date: 2018-03-23
Author: various authors
Maintainer: Colin B. Macdonald <cbm@m.fsf.org>, Michael Walter <michael.walter@gmail.com>
Title: Documentation tests
Description: Find and run example code within documentation.
 Formatted blocks of example code are extracted from documentation
 files and executed to confirm their output is correct.  This can be
 part of a testing framework or simply to ensure that documentation
 stays up-to-date during software development.
Depends: octave (>= 4.2.0)
Url: https://octave.sourceforge.io/doctest
License: BSD-3-Clause
