=== debian/changelog ===
octave-doctest (0.7.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Archive, Repository.

  [ Rafael Laboissière ]
  * d/u/metadata: Change all URLs from Savannah to GitHub

 -- Rafael Laboissière <rafael@debian.org>  Tue, 27 Oct 2020 12:56:53 -0300

octave-doctest (0.7.0-3) unstable; urgency=medium

  * d/control:
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N into
      the package's list of dependencies.
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 05:42:27 -0300

octave-doctest (0.7.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright: Add copyright and license information for the AppStream file
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 05:14:04 -0300

octave-doctest (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 06 May 2019 10:18:38 -0300
