=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave
-Standards-Version: 4.3.0
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1)
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/doctest/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-doctest.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-doctest
