## octave-doctest 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: doctest
-Version: 0.7.0
-Date: 2018-03-23
+Version: 0.8.0
+Date: 2023-01-03
 Author: various authors
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>, Michael Walter <michael.walter@gmail.com>
 Title: Documentation tests
