=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
+               dh-sequence-octave
+Standards-Version: 4.6.2
 Homepage: https://octave.sourceforge.io/doctest/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-doctest.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-doctest
