## octave-doctest 0.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: doctest
-Version: 0.8.0
-Date: 2023-01-03
+Version: 0.8.1
+Date: 2025-09-13
 Author: various authors
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>, Michael Walter <michael.walter@gmail.com>
 Title: Documentation tests
@@ -10,5 +10,5 @@
  part of a testing framework or simply to ensure that documentation
  stays up-to-date during software development.
 Depends: octave (>= 4.2.0)
-Url: https://octave.sourceforge.io/doctest
+Url: https://gnu-octave.github.io/packages/doctest/
 License: BSD-3-Clause
