=== debian/changelog ===
octave-doctest (0.8.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.8.1
    This version copes with both Octave 9 and 10 (Closes: #1115221)
  * d/copyright: Reflect upstream changes
  * d/p/adjust-error-test-octave-10.patch: Drop patch (applied upstream)
  * d/s/lintian-overrides: Update override for debian-watch-lacks-sourceforge-redirector
  * d/u/metadata: Update URLs for new repository location
  * d/watch: Convert to version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 15:44:50 -0300

octave-doctest (0.8.0-2) experimental; urgency=medium

  * d/copyright: Update Source URL
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/p/adjust-error-test-octave-10.patch: New patch (Closes: #1114623)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 11 Sep 2025 02:46:47 -0300
